import main


class SaveCommand:
    def __init__(self, *args):
        self.save(*args)

    def save(
        self, addr, authed, data, obj, spl, success, failure, info, incUsage, length
    ):
        if authed:
            if length == 2:
                if spl[1] in main.filemap.keys():
                    main.saveConf(spl[1])
                    success("Saved %s to %s" % (spl[1], main.filemap[spl[1]][0]))
                    return
                elif spl[1] == "all":
                    for i in main.filemap.keys():
                        main.saveConf(i)
                        success("Saved %s to %s" % (i, main.filemap[i][0]))
                    return
                elif spl[1] == "list":
                    info(", ".join(main.filemap.keys()))
                else:
                    incUsage("save")
                    return
            else:
                incUsage("save")
                return
        else:
            incUsage(None)
